MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028888Community[OCCT] OCCT:Visualizationpublic2017-07-04 12:202017-09-29 16:28
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028888: Visualization - AIS_InteractiveContext should not hold V3d_View handle which will cause accessing invalid removed V3d_View
DescriptionAIS_InteractiveContext has a field: Handle(V3d_View) mylastmoveview;
This field is assigned in method MoveTo()

After MoveTo function is called, the view passed in as argument will be hold in field mylastmoveview. The problem will occur if we try to remove the view by calling view->Remove() operation. Normally, after view->Remove is called, the view's life should be end and it should be deleted from memory. But it won't due to that it's still referenced by AIS_InteractiveContext and then updating the viewer's structure, it will still reference to the invalid removed view.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0067972)
git (administrator)
2017-07-04 14:16

Branch CR28888 has been created by kgv.

SHA-1: 82bae867ee54b97350faef6256d9ba7191268679


Detailed log of new commits:

Author: kgv
Date: Tue Jul 4 14:15:34 2017 +0300

    0028888: Visualization - AIS_InteractiveContext should not hold V3d_View handle which will cause accessing invalid removed V3d_View
(0067983)
kgv (developer)
2017-07-05 07:34

Please take the patch.

CR28888-master-KGV-Products-Debian70-64-opt-tests-compare-linux - Build # 1 - Successful:
Check console output at http://jenkins-test-10.nnov.opencascade.com:8080/job/CR28888-master-KGV-Products-Debian70-64-opt-tests-compare-linux/1/ [^] to view the results.

CR28888-master-KGV-Products-Windows-64-VC10-opt-tests-compare-windows - Build # 1 - Successful:
Check console output at http://jenkins-test-10.nnov.opencascade.com:8080/job/CR28888-master-KGV-Products-Windows-64-VC10-opt-tests-compare-windows/1/ [^] to view the results.
(0068006)
apv (tester)
2017-07-05 13:39

Dear BugMaster,

Branch CR28888 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 82bae867ee54b97350faef6256d9ba7191268679

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1185

Regressions/Differences:
Not detected

Testing cases:
Not required

Testing on Linux:
Total MEMORY difference: 92225898 / 92167247 [+0.06%]
Total CPU difference: 19126.850000000268 / 18926.030000000348 [+1.06%]

Testing on Windows:
Total MEMORY difference: 58847569 / 58850236 [-0.00%]
Total CPU difference: 17910.506010198515 / 17597.770805498705 [+1.78%]
(0068007)
apv (tester)
2017-07-05 13:40

Dear BugMaster,

Please integrate branch CR28888 into the occt git-repository master.
(0068131)
git (administrator)
2017-07-10 08:58

Branch CR28888 has been deleted by kgv.

SHA-1: 82bae867ee54b97350faef6256d9ba7191268679

- Related Changesets
occt: master 4679d975
Timestamp: 2017-07-04 11:15:34
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028888: Visualization - AIS_InteractiveContext should not hold V3d_View handle which will cause accessing invalid removed V3d_View
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-04 12:20 Vico Liang New Issue
2017-07-04 12:20 Vico Liang Assigned To => kgv
2017-07-04 14:04 kgv Product Version 7.1.0 => 5.2.2
2017-07-04 14:05 kgv Summary AIS_InteractiveContext should not hold V3d_View handle which will cause accessing invalid removed V3d_View => Visualization - AIS_InteractiveContext should not hold V3d_View handle which will cause accessing invalid removed V3d_View
2017-07-04 14:16 git Note Added: 0067972
2017-07-05 07:34 kgv Note Added: 0067983
2017-07-05 07:34 kgv Assigned To kgv => bugmaster
2017-07-05 07:34 kgv Severity crash => trivial
2017-07-05 07:34 kgv Status new => resolved
2017-07-05 07:35 kgv Status resolved => reviewed
2017-07-05 11:17 apv Assigned To bugmaster => apv
2017-07-05 11:37 apv Test case number => Not required
2017-07-05 13:39 apv Note Added: 0068006
2017-07-05 13:39 apv Assigned To apv => bugmaster
2017-07-05 13:39 apv Status reviewed => tested
2017-07-05 13:40 apv Note Added: 0068007
2017-07-07 17:25 bugmaster Changeset attached => occt master 4679d975
2017-07-07 17:25 bugmaster Status tested => verified
2017-07-07 17:25 bugmaster Resolution open => fixed
2017-07-10 08:58 git Note Added: 0068131
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker